/*================================
  Datatable filter css overrides (columnVisibility)
================================*/
div.dt-button-collection button.dt-button:active:not(.disabled), div.dt-button-collection button.dt-button.active:not(.disabled), div.dt-button-collection div.dt-button:active:not(.disabled), div.dt-button-collection div.dt-button.active:not(.disabled), div.dt-button-collection a.dt-button:active:not(.disabled), div.dt-button-collection a.dt-button.active:not(.disabled) {
    background-color: white;
    background-image: none;
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,StartColorStr='#f0f0f0', EndColorStr='#dadada');
    box-shadow: none;
}

.dt-button.buttons-columnVisibility {
    border: none;
}

button.dt-button:active:not(.disabled):hover:not(.disabled), button.dt-button.active:not(.disabled):hover:not(.disabled), div.dt-button:active:not(.disabled):hover:not(.disabled), div.dt-button.active:not(.disabled):hover:not(.disabled), a.dt-button:active:not(.disabled):hover:not(.disabled), a.dt-button.active:not(.disabled):hover:not(.disabled) {
    box-shadow: none;
    background-color: initial;
    background-image: none;
    color: initial;
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,StartColorStr='#eaeaea', EndColorStr='#cccccc');
}

a.dt-button.buttons-columnVisibility:hover:not(.disabled) {
    border: none;
}

.dt-button.buttons-columnVisibility span {
	float: left;
    line-height: 13px;
    vertical-align: middle;
    font-size: 13px;
}
.dt-button.buttons-columnVisibility:after {
   line-height: 13px;
   vertical-align: middle;
   content: '\f096';
   font-family: FontAwesome;
   font-weight: normal;
   font-style: normal;
   text-decoration:none;
   float: right;
   padding-right: 3px;
   transition: none;
}

.dt-button.buttons-columnVisibility.active:after {
   content: '\f046';
   color: #28559f;
   padding-right: 1px;
   transition: all .2s ease-out;
}

button.dt-button.buttons-columnVisibility, div.dt-button.buttons-columnVisibility, a.dt-button.buttons-columnVisibility {
    background-color: initial;
    background-image: none;
    border: none !important!
}

a.dt-button:hover:not(.disabled) {
    background-color: initial;
    background-image: none;
}

a.dt-button:visited:hover {
    color: initial;
}

div.dt-button-collection {
    width: 216px;
    border-radius: 3px;
}

button.dt-button, div.dt-button, a.dt-button {
    border: 1px solid #e7e7e7;
    color: #595959;
    background-color: #ffffff;
    background-image: none;
    margin: 2px;
    border-radius: 4px;
}
button.dt-button:hover:not(.disabled), div.dt-button:hover:not(.disabled), a.dt-button:hover:not(.disabled) {
    border: 1px solid #e7e7e7;
    background-color: #ebebeb;
    background-image: none;
}

.dataTables_length select {
	border-radius: 8px;
}